Double nom de la colonne

J'ai changé mes modèles, puis j'ai essayé de migrer, mais j'ai reçu ce message d'erreur:

python manage.py migrate
Operations to perform:
Apply all migrations: admin, contenttypes, auth, sessions, myapp
Running migrations:
Rendering model states... DONE
Applying myapp.0002_auto_20160315_1544...Traceback (most recent call last):
File "/home/bootuz/final/myvenv/lib/python3.4/site-packages/django/db/backends/utils.py", line 64, in execute
return self.cursor.execute(sql, params)
File "/home/bootuz/final/myvenv/lib/python3.4/site-packages/django/db/backends/mysql/base.py", line 112, in execute
return self.cursor.execute(query, args)
File "/home/bootuz/final/myvenv/lib/python3.4/site-packages/MySQLdb/cursors.py", line 226, in execute
self.errorhandler(self, exc, value)
File "/home/bootuz/final/myvenv/lib/python3.4/site-packages/MySQLdb/connections.py", line 36, in defaulterrorhandler
raise errorvalue
File "/home/bootuz/final/myvenv/lib/python3.4/site-packages/MySQLdb/cursors.py", line 217, in execute
res = self._query(query)
File "/home/bootuz/final/myvenv/lib/python3.4/site-packages/MySQLdb/cursors.py", line 378, in _query
rowcount = self._do_query(q)
File "/home/bootuz/final/myvenv/lib/python3.4/site-packages/MySQLdb/cursors.py", line 341, in _do_query
db.query(q)
File "/home/bootuz/final/myvenv/lib/python3.4/site-packages/MySQLdb/connections.py", line 280, in query
_mysql.connection.query(self, query)
_mysql_exceptions.OperationalError: (1060, "Duplicate column name 'short_description_eng'")
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "manage.py", line 10, in <module>
execute_from_command_line(sys.argv)
File "/home/bootuz/final/myvenv/lib/python3.4/site-packages/django/core/management/__init__.py", line 353, in execute_from_command_line
utility.execute()
File "/home/bootuz/final/myvenv/lib/python3.4/site-packages/django/core/management/__init__.py", line 345, in execute
self.fetch_command(subcommand).run_from_argv(self.argv)
File "/home/bootuz/final/myvenv/lib/python3.4/site-packages/django/core/management/base.py", line 348, in run_from_argv
self.execute(*args, **cmd_options)
File "/home/bootuz/final/myvenv/lib/python3.4/site-packages/django/core/management/base.py", line 399, in execute
output = self.handle(*args, **options)
File "/home/bootuz/final/myvenv/lib/python3.4/site-packages/django/core/management/commands/migrate.py", line 200, in handle
executor.migrate(targets, plan, fake=fake, fake_initial=fake_initial)
File "/home/bootuz/final/myvenv/lib/python3.4/site-packages/django/db/migrations/executor.py", line 92, in migrate
self._migrate_all_forwards(plan, full_plan, fake=fake, fake_initial=fake_initial)
File "/home/bootuz/final/myvenv/lib/python3.4/site-packages/django/db/migrations/executor.py", line 121, in _migrate_all_forwards
state = self.apply_migration(state, migration, fake=fake, fake_initial=fake_initial)
File "/home/bootuz/final/myvenv/lib/python3.4/site-packages/django/db/migrations/executor.py", line 198, in apply_migration
state = migration.apply(state, schema_editor)
File "/home/bootuz/final/myvenv/lib/python3.4/site-packages/django/db/migrations/migration.py", line 123, in apply
operation.database_forwards(self.app_label, schema_editor, old_state, project_state)
File "/home/bootuz/final/myvenv/lib/python3.4/site-packages/django/db/migrations/operations/fields.py", line 62, in database_forwards
field,
File "/home/bootuz/final/myvenv/lib/python3.4/site-packages/django/db/backends/mysql/schema.py", line 50, in add_field
super(DatabaseSchemaEditor, self).add_field(model, field)
File "/home/bootuz/final/myvenv/lib/python3.4/site-packages/django/db/backends/base/schema.py", line 396, in add_field
self.execute(sql, params)
File "/home/bootuz/final/myvenv/lib/python3.4/site-packages/django/db/backends/base/schema.py", line 110, in execute
cursor.execute(sql, params)
File "/home/bootuz/final/myvenv/lib/python3.4/site-packages/django/db/backends/utils.py", line 64, in execute
return self.cursor.execute(sql, params)
File "/home/bootuz/final/myvenv/lib/python3.4/site-packages/django/db/utils.py", line 95, in __exit__
six.reraise(dj_exc_type, dj_exc_value, traceback)
File "/home/bootuz/final/myvenv/lib/python3.4/site-packages/django/utils/six.py", line 685, in reraise
raise value.with_traceback(tb)
File "/home/bootuz/final/myvenv/lib/python3.4/site-packages/django/db/backends/utils.py", line 64, in execute
return self.cursor.execute(sql, params)
File "/home/bootuz/final/myvenv/lib/python3.4/site-packages/django/db/backends/mysql/base.py", line 112, in execute
return self.cursor.execute(query, args)
File "/home/bootuz/final/myvenv/lib/python3.4/site-packages/MySQLdb/cursors.py", line 226, in execute
self.errorhandler(self, exc, value)
File "/home/bootuz/final/myvenv/lib/python3.4/site-packages/MySQLdb/connections.py", line 36, in defaulterrorhandler
raise errorvalue
File "/home/bootuz/final/myvenv/lib/python3.4/site-packages/MySQLdb/cursors.py", line 217, in execute
res = self._query(query)
File "/home/bootuz/final/myvenv/lib/python3.4/site-packages/MySQLdb/cursors.py", line 378, in _query
rowcount = self._do_query(q)
File "/home/bootuz/final/myvenv/lib/python3.4/site-packages/MySQLdb/cursors.py", line 341, in _do_query
db.query(q)
File "/home/bootuz/final/myvenv/lib/python3.4/site-packages/MySQLdb/connections.py", line 280, in query
_mysql.connection.query(self, query)
django.db.utils.OperationalError: (1060, "Duplicate column name 'short_description_eng'")

C'est mes modèles:

class Words(models.Model):
title = models.CharField(max_length=100, unique=True, verbose_name='Слово')
audio = models.FileField(upload_to='audio', blank=True, verbose_name='Озвучка')
short_description_rus = models.CharField(max_length=100, default='', blank=True, verbose_name='Условное обозначение Рус')
russian = models.TextField(default='', blank=True, verbose_name='Русский')
short_description_eng = models.CharField(max_length=110, default='', blank=True, verbose_name='Условное обозначение Eng')
english = models.TextField(default='', blank=True, verbose_name='English')
short_description_tur = models.CharField(max_length=100, default='', blank=True, verbose_name='Условное обозначение Tür')
turkish = models.TextField(default='', blank=True, verbose_name='Türkçe')

Quoi de mal?

Fichier de Migration

# -*- coding: utf-8 -*-
# Generated by Django 1.9.2 on 2016-03-15 15:44
from __future__ import unicode_literals
from django.db import migrations, models
class Migration(migrations.Migration):
dependencies = [
('myapp', '0001_initial'),
]
operations = [
migrations.AddField(
model_name='words',
name='short_description_eng',
field=models.CharField(blank=True, default='', max_length=100, verbose_name='Условное обозначение Eng'),
),
migrations.AddField(
model_name='words',
name='short_description_rus',
field=models.CharField(blank=True, default='', max_length=100, verbose_name='Условное обозначение Рус'),
),
migrations.AddField(
model_name='words',
name='short_description_tur',
field=models.CharField(blank=True, default='', max_length=100, verbose_name='Условное обозначение Tür'),
),
migrations.AlterField(
model_name='words',
name='audio',
field=models.FileField(blank=True, upload_to='audio', verbose_name='Озвучка'),
),
migrations.AlterField(
model_name='words',
name='english',
field=models.TextField(blank=True, default='', verbose_name='English'),
),
migrations.AlterField(
model_name='words',
name='russian',
field=models.TextField(blank=True, default='', verbose_name='Русский'),
),
migrations.AlterField(
model_name='words',
name='title',
field=models.CharField(max_length=100, unique=True, verbose_name='Слово'),
),
migrations.AlterField(
model_name='words',
name='turkish',
field=models.TextField(blank=True, default='', verbose_name='Türkçe'),
),
]
Pouvez-vous montrer le 0002_auto_20160315_1544 fichier de migration?
Vous pouvez aussi montrer votre première (0001_initial) fichier de migration?
pastebin.com/wzyDZFSv
puis-je ajouter de nouveaux champs à la 0001_initial puis exécuter la migration?

OriginalL'auteur Bootuz | 2016-03-15

Leave a Reply

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *